Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_ValueDefaultPropertyBundle

    java.lang.Object

      |

      +--oracle.ifs.server.S_LibraryObject

            |

            +--oracle.ifs.server.S_TieLibraryObject

                  |

                  +--oracle.ifs.server.S_PublicObject

                        |

                        +--oracle.ifs.server.S_TiePublicObject

                              |

                              +--oracle.ifs.server.S_ApplicationObject

                                    |

                                    +--oracle.ifs.server.S_TieApplicationObject

                                          |

                                          +--oracle.ifs.server.S_PropertyBundle

                                                |

                                                +--oracle.ifs.server.S_TiePropertyBundle

                                                      |

                                                      +--oracle.ifs.server.S_ValueDefaultPropertyBundle

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, PublicObjectInterface, Traceable

Direct Known Subclasses:
  S_TieValueDefaultPropertyBundle

public class S_ValueDefaultPropertyBundle
extends S_TiePropertyBundle

A ValueDefaultPropertyBundle is a PropertyBundle containing a valid definition of the value of a ValueDefault.

Method Summary
`AttributeValue` | `getPropertyValue()` Gets the value of this ValueDefaultPropertyBundle.

Methods inherited from class oracle.ifs.server.S_PropertyBundle
`deriveDefinition, extendedPreFree, extendedPreUpdate, getProperties, getProperty, getPropertyValue, handleEvent, putProperty, removeProperty`

Methods inherited from class oracle.ifs.server.S_ApplicationObject
`isVersionable`

Methods inherited from class oracle.ifs.server.S_PublicObject
`addRelationship, extendedPreInsert, getCategories, getLeftwardRelationshipObjects, getLeftwardRelationshipObjects, getLeftwardRelationships, getLeftwardRelationships, getReferencingFolders, getRightwardRelationshipObjects, getRightwardRelationshipObjects, getRightwardRelationships, getRightwardRelationships, getVersionDescriptions, hasNameAttribute, isLocked, removeRelationship`

Methods inherited from class oracle.ifs.server.S_LibraryObject
`equals, free, getAttribute, getAttributeByUpperCaseName, getClassId, getClassObject, getId, getSession, isTraced, postEvent, postEvent, renderAsReader, renderAsStream, setAttribute, setAttribute, toString, trace, update`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getId`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Method Detail

### getPropertyValue

    public final AttributeValue getPropertyValue()
                                          throws IfsException

  Gets the value of this ValueDefaultPropertyBundle.
  Returns:
    the value
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD